Subject: ES (Extensible Shell) V0.9b1 ported to GnuWin32
From: [email-masked] (Jonathan Storey)

6 Apr 1998 23:10:29 -0700
Message-ID: <000801bd6140$d084b080$050120c0.cygnus.gnu-win32@menpc5>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: [email-masked]

For all you alternative shell lovers out there, just a note to say that I
have sucessfully
ported ES (extensible shell) Version 0.9 Beta 1 to GnuWin32 b19 with only a
couple of
minor modifications:

1.)	 prim-sys.c missing the definition of CLK_TCK (time.h)
	#include "time.h" in prim-sys.c or -DCLK_TCK=<nnn>
	where nnn is the value of said symbol in your header
2.)
	Edit the Makefile and give $SIGNALS a value of:
 	/H-i386-cygwin32/i386-cygwin32/include/sys/signal.h
	This allows the script 'mksignal' used by the make to
	create its signal handling code.
3.)
	During the make, 'bison' insisted on looking for 'bison.simple'
	under '/cygnus/b19/share' even though I had installed
	beta19  under '//C/gnuwin32/b19' !? so I had to make
	'/cygnus/b19' under bash and symbolically link /share
	to '/cygnus/b19/share' to get bison to continue.

ES Version 0.9 Beta 1is available via FTP from:

	/pub/es/ at ftp.white.toronto.edu

Regards
	JOZ ([email-masked])
		([email-masked])

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".